Name:		rpmlint
Version:	1.5
Release:	%mkrel 1
Summary:	RPM correctness checker
License:	GPLv2+
Group:		Development/Other
URL:		http://sourceforge.net/p/rpmlint/
Source0:	http://downloads.sourceforge.net/rpmlint/%{name}-%{version}.tar.xz
Source1:	%{name}.config
Patch0:		rpmlint-1.5-mga-non-ghost-in-run.patch
Patch1:		rpmlint-1.5-mga-systemd-udev-in-etc.patch
Patch2:		rpmlint-1.5-mga-unapplied-patches-warn-apply_patches.patch
Patch3:		rpmlint-1.5-mga-etc-tmpfiles.d-snippets.patch
Suggests:	rpmlint-mageia-policy
BuildRequires:	python-rpm
BuildRequires:	bash-completion
Requires:	python-rpm python-magic desktop-file-utils
Suggests:	python-enchant hunspell-en
BuildArch:	noarch

%description
Rpmlint is a tool to check common errors on rpm packages.
Binary and source packages can be checked.


%prep
%setup -q
%apply_patches

%build
export COMPILE_PYC=1
%make

%install
%makeinstall_std
install -m0644 %{_sourcedir}/%{name}.config %{buildroot}/%{_datadir}/%{name}/config

mkdir -p %{buildroot}/%{_datadir}/%{name}/config.d/
 
%files
%doc ChangeLog README*
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/rpmlint.1*
%config(noreplace) %{_sysconfdir}/%{name}/config
%dir %{_sysconfdir}/%{name}/
%if %{mgaversion} < 2
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%else
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/bash-completion/completions/rpmdiff
%endif


%changelog
* Sun Jun 30 2013 danf <danf> 1.5-1.mga4
+ Revision: 448623
- upgraded to 1.5: more lint checks and bug fixes
- new upstream project web site
- set the mode on the installed config file to ignore the current umask
- dropped Add-run-to-the-standard-dirs-list.patch; merged upstream
- rediffed and renamed remaining patches to comply with mga naming convention

* Fri Jun 21 2013 tv <tv> 1.4-5.mga4
+ Revision: 445458
- suggests rpmlint-mageia-policy

  + tmb <tmb>
    - make it backportable to infra_1

* Sun Nov 25 2012 colin <colin> 1.4-4.mga3
+ Revision: 321698
- Add a new test for tmpfiles.d snippets in the /etc/

* Thu Nov 22 2012 colin <colin> 1.4-3.mga3
+ Revision: 320419
- Add /run to the standard dirs
- Add a new 'non-ghost-in-run' check to compliement the other 'non-ghost-*' checks
- Add new tests for systemd units and udev rules in /etc tree.
- Teach SpecCheck about apply_patches macro (mga#8170)

* Wed Jan 18 2012 kamil <kamil> 1.4-2.mga2
+ Revision: 197794
- hunspell-en is now suggested

* Sun Dec 18 2011 kharec <kharec> 1.4-1.mga2
+ Revision: 183872
- new version 1.4
- use completion in %%file
- new version 1.3

* Fri May 06 2011 misc <misc> 1.2-1.mga1
+ Revision: 95251
- new version 1.2

* Tue Mar 29 2011 kharec <kharec> 1.1-1.mga1
+ Revision: 78855
- Remove definition "BuildRoot", useless.
- new version 1.1
- fix order of tags (top of spec)
- fix Source0

* Fri Feb 18 2011 misc <misc> 1.0-1.mga1
+ Revision: 53382
- imported package rpmlint


* Thu Nov 11 2010 Thierry Vignaud <tv@mandriva.org> 1.0-1mdv2011.0
+ Revision: 595845
- new release

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Mar 10 2010 Michael Scherer <misc@mandriva.org> 0.95-1mdv2010.1
+ Revision: 517553
- drop patch1 about using _build_name_fmt, not needed anymore
- update to 0.95

* Sat Feb 27 2010 Michael Scherer <misc@mandriva.org> 0.94-2mdv2010.1
+ Revision: 512297
- fix #57875, requires desktop-file-validate

* Sun Feb 07 2010 Michael Scherer <misc@mandriva.org> 0.94-1mdv2010.1
+ Revision: 501620
- update to new version 0.94

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - don't hardcode format of package filename for non-coherent-filename check (P0)

* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 0.92-1mdv2010.1
+ Revision: 463893
- upgrade to 0.92
- add a Suggest on python-enchant
- compile python file, otherwise make install fail

* Tue Sep 29 2009 Michael Scherer <misc@mandriva.org> 0.91-1mdv2010.0
+ Revision: 450824
- update to new version 0.91

* Thu Aug 06 2009 Michael Scherer <misc@mandriva.org> 0.90-2mdv2010.0
+ Revision: 410791
- add missing requires on rpmlint, or it say "no-binary" when we obviously have one

* Tue Jul 28 2009 Michael Scherer <misc@mandriva.org> 0.90-1mdv2010.0
+ Revision: 402814
- update to 0.90
- update to latest release ( 0.87 )
- remove all patchs, use a separate config rpm for this, so changing the policy do not requires
  a change in rpmlint rpm, by using the badness system

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 0.84-2mdv2009.1
+ Revision: 366209
- rediff patch5

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jul 30 2008 Michael Scherer <misc@mandriva.org> 0.84-1mdv2009.0
+ Revision: 254787
- update to the new version of rpmlint, remove already applied upstream patch

* Sun Jun 15 2008 Michael Scherer <misc@mandriva.org> 0.83-1mdv2009.0
+ Revision: 219194
- update the patch rpmlint-non-executable-script_is_warning for new rpmlint version
- remove already applied patch
- update to latest version

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - * drop overly redundant dependencies
      * depend on python-rpm rather than rpm-python

* Wed Feb 27 2008 Michael Scherer <misc@mandriva.org> 0.81-12mdv2008.1
+ Revision: 175944
- fix bug 38157 ( a wrong fix, but it will be enough for the moment )

* Mon Feb 25 2008 Olivier Blin <oblin@mandriva.com> 0.81-11mdv2008.1
+ Revision: 174858
- allow fluxbox to have update-menus in post scripts even if it does not have a menu file
  (it has a menu method though, maybe rpmlint could check that)

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-10mdv2008.1
+ Revision: 165509
- remove patch 9 (htaccess-file is an error again, spoted by grousse)

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-9mdv2008.1
+ Revision: 165469
- patch 14: update-menus-without-menu-file-in-%% is now a warning
- patch 13: only-non-binary-in-usr-lib is now a warning

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-8mdv2008.1
+ Revision: 165461
- patch 12: shared-lib-without-dependency-information is now a warning
- patch 11: invalid-lc-messages-dir is now a warning
- patch 10: no-cleaning-of-buildroot is now a warning
- patch 9: statically-linked-binary is now a warning

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-6mdv2008.1
+ Revision: 165402
- patch 4: non-executable-script is now a warning instead of an error
- patch 5: script-without-shebang is now a warning instead of an error
- patch 6: non-standard-Xid is now a warning instead of an error
- patch 7: wrong-script-interpreter is now a warning instead of an error
- patch 8: htaccess-file is now a warning instead of an error

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-5mdv2008.1
+ Revision: 165385
- patch 3: make prereq-use & buildprereq-use be an error instead of a warning
  (factorizing blocking upload errors into rpmlint)

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-4mdv2008.1
+ Revision: 165384
- patch 2: make hardcoded-library-path be a warning instead of an error (would
  block too much uploads)

* Mon Feb 11 2008 Thierry Vignaud <tv@mandriva.org> 0.81-3mdv2008.1
+ Revision: 165378
- patch 1: non-standard-group is now an error (factorizing blocking upload
  errors into rpmlint)
- add System/Printing group to default configuration

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add non-conffile-in-etc filter for /etc/dbus-1

* Fri Feb 08 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.81-2mdv2008.1
+ Revision: 164312
- add fixes for rpm5.org (P0)
- drop redundant COPYING
- drop rather useless INSTALL
- update License tag

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 18 2007 David Walluck <walluck@mandriva.org> 0.81-1mdv2008.1
+ Revision: 100008
- add sources
- 0.81

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 0.80-4mdv2008.0
+ Revision: 42982
- bump release

  + Andreas Hasenack <andreas@mandriva.com>
    - added System/Cluster group

* Wed Jun 20 2007 Andreas Hasenack <andreas@mandriva.com> 0.80-3mdv2008.0
+ Revision: 41868
- added Development/X11 rpm group

* Thu Apr 26 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.80-2mdv2008.0
+ Revision: 18400
- removed unneded anymore and now broken patch

* Wed Apr 25 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.80-1mdv2008.0
+ Revision: 18292
- updated to version 0.80
- added group Development/Ruby
- bunzipped Mandriva configuration


* Tue Jul 11 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.77-3mdv2007.0
- Disable bogus warning until fixed upstream (patch 0)

* Thu Jun 29 2006 Michael Scherer <misc@mandriva.org> 0.77-2mdv2007.0
- fix default configuration

* Wed Jun 28 2006 Michael Scherer <misc@mandriva.org> 0.77-1mdv2007.0
- release 0.77
- do not hardcode mandriva prefix and other stuff in, close #23157

* Tue Apr 04 2006 Michael Scherer <misc@mandriva.org> 0.76-1mdk
- new website url
- remove warning, patch and source are allowed
- provides custom mandriva configuration ( source 1 )

* Mon Feb 06 2006 Michael Scherer <misc@mandriva.org> 0.75-1mdk
- 0.75, see Changelog for full details ( close #20518, #16416 ) 
- clean Requires and BuildRequires, remove everything part of basesystem, 
  and remove version that date back to 7.2 
- use macros
- use mkrel

* Wed Aug 10 2005 Frederic Lepied <flepied@mandriva.com> 0.71-1mdk
- Pkg: fixed prereq funtion for new rpm
- SpecCheck.py: o allow to do a symlink to a configure file without
  having the configure-without-libdir-spec error. (reported by Hans
  de Goede)
                o added prereq-use to prevent the use of PreReq.
- I18NCheck.py: o fixed uninitialized variable (reported by Dan Kegel).
                o new languages to be recognized as valid: 'se' (was
  wrongly assumed to be an error for 'sv'), 'yo', 'pa_IN'. (Pablo)
- Config.py: added exception for uucp (Bruno Cornec)
- InitScriptCheck.py: make the "incoherent subsys" check work
  properly with trailing " or '. (Ville Skytta)
- FilesCheck.py: Brings the verbose message about non-config files
  in /etc up to date wrt. executables. (Ville Skytta)
- TagsCheck.py: added the CECILL licence (requested by Sebastion
  Savarin).

* Fri Jun 17 2005 Frederic Lepied <flepied@mandriva.com> 0.70-1mdk
- Pkg.py: use RPMSENSE_SCRIPT_PRE if available to detect prereq.
- FilesCheck.py: fix script detection (Guillaume Rousse, bug
  - TagsCheck.py: added LaTeX Project Public License (Guillaume
  Rousse, bug #15928).
- PostCheck.py: adds userdel and groupdel to the list of
  "dangerous" commands. (Ville Skytt)
- BinariesCheck.py, Config.py, FilesCheck.py, README: mandriva
- TagsCheck.py: check that the url doesn't contain anymore
  mandrake.

* Fri Apr 15 2005 Frederic Lepied <flepied@mandriva.com> 0.69-1mdk
- Mandriva
- FilesCheck.py: /etc/cron.d is a configuration directory, not a
  script directory (Guillaume Rousse)
- FilesCheck.py: intepreters can also live in /sbin or /usr/sbin (Guillaume Rousse)
- PostCheck.py, README: add non-empty shell check (Ville Skytt)

* Thu Mar 10 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.68-1mdk
- I18NCheck.py: Added recognition of Quechua (qu) language (Pablo)
- FilesCheck.py: simplify site_perl regexp (Ville Skytt?).
- Pkg.py: Fix version checking when the epoch is not defined (Michael Scherer)

* Fri Feb 11 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.67-1mdk
- SpecCheck.py: added hardcoded-packager-tag, hardcoded-prefix-tag
  and redundant-prefix-tag checks (Guillaume Rousse, bug #12725).
- FilesCheck.py: added wrong-script-interpreter,
  non-executable-script, script-without-shellbang,
  wrong-script-end-of-line-encoding and
  wrong-file-end-of-line-encoding. (Guillaume Rousse, bug #12725).
- TagsCheck.py: o added the 'Graphical desktop/Xfce' group (bug #13141).
                o added Design Sciences License (Sbastien Savarin)
  fixed Lucent Public License
- rpmdiff: filter the provides on name-version-release for the
  package itself.
- Pkg.py: Make check_versioned_dep ignore epoch when comparing
  versions (patch by Michael Scherer)
- Config.py: o do not complain about explicit dependancy on liblua5
  (else b/c of buggy lua, lua users accepted either lua4 or lua5
  thus resulting in linkinkg issues at runtime)  (Thierry)
             o update drakconf rule (Thierry)
             o add exceptions for dkms packages

* Tue Jan 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.66-1mdk
- exceptions for %%multiarch policy
- FilesCheck.py: Add a new warning for perl modules installed under
  site_perl instead of vendor_perl (Rafael)
- FilesCheck.py: Perl modules go under vendor_perl, not site_perl
  (Rafael)

* Fri Jan 21 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.65-1mdk
- I18NCheck.py: o recognition of some more languages (bug #12216)
                o Added language codes (nr, nso, tn, ts) of South
	  Africa that have efforts on creating localizations for them
	  (source: http://www.translate.org.za/ ) (Pablo)
- MenuCheck.py: added missing-menu-command (Michael Scherer)
- FilesCheck.py: don't report non-conffile-in-etc on executable.

From Ville Skytt:

- Flag installing files to /var/local as an error.
- Improved perl temp file regexp.
- Extended CVS internal file regexp to cover Subversion and GNU Arch.
- "se" -> "sv" in I18NCheck
- E:V-R should be consistent in package and changelog regardless if 
  use_epoch is set or not.
- Spelling fixes.

* Thu Dec 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.64-1mdk
- FilesCheck.py: o Check that pkg-config files and config script are
                   in devel packages (Guillaume Rousse, bug #12662).
                 o added htaccess-file check (Guillaume Rousse, bug #12661).
                 o added executable-marked-as-config-file check.
                 o lookup .cmi files as devel files too (Guillaume
                   Rousse) [bug #12186].

- Config.py: first pass to update load_policy.

- TagsCheck.py: o added requires-on-release check
                o The Lucent Public Licence (Plan9) is
                  opensource.org-approved. (Rafael)

- SpecCheck.py: Clarify the use-of-RPM_SOURCE_DIR message
                explanation. (Rafael)

* Sun Dec 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.63-1mdk
- Config.py: o added exceptions for kernel-source.* on
             devel-file-in-non-devel-package reports.
             o cleanup exceptions (Michael Scherer)
             o some code factorisation
             o fix addCheck ( was not useable since it was a tuple
             instead-f a list ) (Michael)

- FilesCheck.py: o added dir-or-file-in-usr-local (Michael Scherer).
                 o Minor nit in the regexp that checks that perl
                 module rpms should come without the source tarball
                 MANIFEST (Rafael).

- BinariesCheck.py: allow soname in the form libfoo-X.Y.Z.so too
  (Guillaume Rousse) [bug #12522].

- NamingPolicyCheck.py: o make exception to the
  python/perl/ruby/ocaml naming policy when the package contains
  executable (Guillaume Rousse) [bug #12521].
                        o ocaml naming policy (Guillaume Rousse)

- I18NCheck.py: Don't tag .mo in webapps (Guillaume Rousse) [bug
  
- TagsCheck.py: added summary-ended-with-dot (Guillaume Rousse)
  [bug #12520]

- rpmlint.py: exit-n C-c (Michael Scherer)

- PostCheck.py: doc for postin-without-ghost-file-creation (Pascal
  Terjan)

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.62-1mdk
- MenuCheck.py: Fix missing capitalization

* Wed Aug 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.61-1mdk
- I18NCheck.py: Added recognition of "pa" (Punjabi) language code (Pablo)
		added some more language codes (Pablo)
- MenuCheck.py: Fix menu capitalization (Frederic Crozat)

* Tue Aug 03 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.60-1mdk
- added obsolete-on-name error: a package sould not obsolete itself, as
  it can cause weird error in tools. (Michael)
- added exceptions for perl and dyalog on  devel-file-in-non-devel-package.
- Add a warning for MANIFEST* files in perl modules. (Rafael)
- add ruby exceptions like perl and python.
- TagsCheck.py: - added useless-explicit-provides ( check if there is
  2 times the same provides ) (Michael)
- rpmlint.py: added option -I, to print description of the error
  passed on commandline (Michael)
- * I18NCheck.py: Added Furlan language code (fur) (Pablo)

* Fri Apr 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.59-1mdk
- TagsCheck.py: check if a package requires a interpreter in
 /usr/local/bin/ (Michael)
- Mandrakelinux (Robert Vojta) [bug #9542]
- I18NCheck.py: some more languages recognized
- InitScriptCheck.py: chack that the initscript is executable (Michael)

* Fri Mar 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.58-1mdk
- TagsCheck.py: The Mandrake word is forbidden alone.
- FilesCheck.py: consolehelper is in usermode-consoleonly
- MenuCheck.py: fixed missing comma
- TagsCheck.py: fixed missing comma (Michael Scherer)
- MenuCheck.py: Add missing "More applications/Other" section

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.57.1-1mdk
- PostCheck.py: removed buggy trigger code

* Thu Feb 12 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.57-1mdk
- FilesCheck.py: no-dependancy-on => no-dependency-on fixed perl
  check (Michael Scherer)

- TagsCheck.py: added Education as a valid group

- PostCheck.py: makes postcheck not to whine about ghost files that
  are created by %%triggerin scripts in addition to %%pre and %%post.
  (Ville Skytt)

  Additionally, somewhat improved documentation on
  one-line-commands, using "should" instead of "must" since AFAICS
  %%post -p <command> cannot be used if <command> needs parameters.
  (Ville Skytt)

- MenuCheck.py: Add missing entries (David)

* Tue Feb 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.56-1mdk
- I18NCheck.py: changed uz@Latn locale
- MenuCheck.py: added missing ',' (Michael Scherer)
                removed duplicated Physics entry
- NamingPolicyCheck.py: Better error message. Fixed bug when no
  files are present. (Michael Scherer)
- rpmlint.py: more robust processing when scanning a directory
  (Michael Scherer)
  force to have / in directory names to allow to have directory
  with the same name as an installed package (Michael Scherer)

* Tue Jan 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.55-1mdk
- final menu structure

* Fri Jan 23 2004 David Baudens <baudens@mandrakesoft.com> 0.54-2mdk
- Replace old menu structure by new menu structure

* Mon Jan 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.54-1mdk
- adapted to rpm-python 4.2.2 reporting [] instead of None in rpm headers
- Allow to pass a directory as an argument (Michael Scherer)
- I18NCheck.py: Added new language codes (Pablo)
- PostCheck.py: allow the [[:space:]] construction (bug #6466) (Luca Berra)
- BinariesCheck.py: in only-non-binary-in-usr-lib don't report
directories (Michael Scherer)
- FilesCheck.py: mispelled-macro check (Michael Scherer)

* Mon Dec 22 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.53-1mdk
- FilesCheck.py: o log-files-without-logrotate (Michael Scherer)
		 o non-standard-executable-perm was never run (Ville Skytt)
		 o added checks for correct depmod calls in scriptlets (Eric Sandeen)
- ZipCheck.py: new check (Ville Skytt)
- SpecCheck.py: check lib packages only they start by lib (Pixel)
- spelling fixes (Ville Skytt)
- InitScriptCheck.py: allow multiple spaces before chkconfig (Eric Sandeen)

* Fri Sep 05 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.52-1mdk
- TagsCheck.py: o added explicit-lib-dependency check
                o added invalid-build-requires check
- Config.py: o added exceptions for explicit-lib-dependency and
	     o invalid-build-requires do not report errors on debug packages

* Tue Aug 05 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.51.1-1mdk
- TagsCheck.py: don't check devel-dependency on source packages
- NamingPolicyCheck.py: corrected info reports

* Mon Aug 04 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.51-1mdk
- TagsCheck.py: added devel-dependency check
                fixed English typo (Pablo)
- SpecCheck.py: allow the following form for a patch instruction:
%%patch -P 1 (request from Stephan Kulow)
- NamingPolicyCheck.py: first version from Michael Scherer
- Pkg.py: in shell_var_value escape the var name to avoid a backtrace (Ville Skytt)
- Config.py: don't warn on -debug packages (Ville Skytt)
- InitScriptCheck.py: added init-script-name-with-dot check (Michael Scherer)
- I18NCheck.py: Added 'mn' to list of languages (Pablo)
                Added some more languages (Pablo)

